# CutDirsMapper

Implements \FileNameMapper

A mapper that strips of the a configurable number of leading directories from a file name.

author | Siad Ardroumli siad.ardroumli@gmail.com
package | phing.mappers

### Methods

## {@inheritDoc}.

    main(mixed $sourceFileName) : array

### Arguments

#### $sourceFileName

`mixed`

The data the mapper works on.

### Response

`array`

The data after the mapper has been applied; must be in array format (for some reason).

## Empty implementation.

    setFrom(mixed $ignore) : void

### Arguments

#### $ignore

`mixed`

ignored.

## The number of leading directories to cut.

    setTo(integer $dirs) : void

### Arguments

#### $dirs

`integer`

### Properties

## dirs

    dirs :

### Type(s)

``